/* keparany, kep befoglalo (kozos) */

.part-gallery .gallery-album {
    position:relative;
}

.part-gallery .gallery-album .lastpic {
    aspect-ratio:3/2;
    background-repeat:no-repeat;
    background-position:center center;
    background-size:cover;
    background-image:url('../../../gfx/noimg.svg');
    margin-bottom:24px;
    overflow:hidden;
}

.part-gallery .gallery-album .lastpic * {
    display:block;
    height:100% !important;
}

.part-gallery .gallery-album .lastpic img {
    object-fit:cover;
    object-position:center center;
    width:100%;
    transition:0.5s;
}

.part-gallery .gallery-album:hover .lastpic img {
    transform:scale(1.1,1.1);
}

@media only screen and (min-width:1324px) {
    .part-gallery .gallery-album .lastpic {
        margin-bottom:1.25vw;
    }
}

/* keparany, kep befoglalo end */

/* feliratok (kozos) */

.part-gallery .details {
    
}

.part-gallery .details .date {
    display:none;
}

.part-gallery .details a {
    display:inline-block;
    width:100%;
    font-size:30px;
    font-family:'Acumin';
    font-weight:bold;
    line-height:1.2;
    transition:0.5s;
}

.part-gallery .gallery-album:hover .details a {
    color:var(--sec);
}

.main-content .part-gallery .gallery-image .lastpic {
    display:flex;
    flex-direction:column;
}

.main-content .part-gallery .gallery-image .lastpic > a {
    order:1;
    display:block;
    position:relative;
}

.main-content .part-gallery .gallery-image .vdate {
    order:2;
    font-size:14px;
    padding:20px;
    font-weight:bold;
    background-color:rgba(0,0,0,0.7);
    position:absolute;
    z-index:10;
    bottom:0;
    left:0;
    width:100%;
    color:#ffffff;
}

@media only screen and (max-width:479px) {
    .part-gallery .details {
        
    }
    
    .part-gallery .details a {
        font-size:24px;
    }
}

@media only screen and (min-width:1324px) {
    .part-gallery .details {
        
    }

    .part-gallery .details a {
        font-size:1.875vw;
        letter-spacing:0.1vw;
    }
    
    .main-content .part-gallery .gallery-image .vdate {
        font-size:0.729vw;
        padding:1vw;
    }
    
}

/* feliratok end */

/* items (kozos) */

.part-gallery .details .items {
    position:absolute;
    width:72px;
    height:72px;
    top:8px;
    right:32px;
    background-repeat:no-repeat;
    background-image:url('../gfx/items.svg');
    background-size:contain;
    background-position:center center;
    color:var(--sec);
    font-weight:bold;
    text-align:center;
    padding:24px 22px 8px 8px;
    pointer-events:none;
    opacity:0.5;
}

@media only screen and (min-width:1324px) {
    .part-gallery .details .items {
        width:3.75vw;
        height:3.75vw;
        top:0.417vw;
        right:1.667vw;
        padding:1.25vw 1.146vw 0.417vw 0.417vw;
    }
}

@media only screen and (max-width:993px) {
    .part-gallery .details .items {
        right:8px;
    }
}

/* items end */

/* slides */

.part-gallery.slides {

}

.part-gallery.slides * {

}

.part-gallery.slides h2.component-heading,
.part-gallery.slides .com-content {
    width:960px;
    margin-left:auto;
    margin-right:auto;
}

.part-gallery.slides .gallery-album {
    position:relative;
    padding-left:24px;
    padding-right:24px;
    box-sizing:content-box;
}

@media only screen and (max-width:993px) {
    .part-gallery.slides h2.component-heading,
    .part-gallery.slides .com-content,
    .part-gallery.slides .component-body {
        width:624px;
        margin-left:auto;
        margin-right:auto;
    }

    .part-gallery.slides .gallery-album {
        margin-bottom:32px;
        padding-left:0;
        padding-right:0;
    }
}

@media only screen and (max-width:639px) {
    .part-gallery.slides h2.component-heading,
    .part-gallery.slides .com-content,
    .part-gallery.slides .component-body {
        width:auto;
        padding-left:24px;
        padding-right:24px;
    }
}

@media only screen and (min-width:1324px) {
    .part-gallery.slides h2.component-heading,
    .part-gallery.slides .com-content {
        width:var(--pw);
    }

    .part-gallery.slides .gallery-album {
        padding-left:1.25vw;
        padding-right:1.25vw;
    }
}

/* slides end */

/* content general */

.main-content .part-gallery {
    
}

body.album .main-content .part-gallery h1.component-heading {
    font-size:36px;
}

.main-content .part-gallery ul.breadcrumb {
    display:none;
}

.main-content .part-gallery a.new-window {
    display:none;
}

.main-content .part-gallery h3.album-images,
.main-content .part-gallery h3.more-albums {
    display:none;
}

.main-content .part-gallery h3.album-images + .content {
    padding-top:var(--pad);
}

@media only screen and (max-width:1323px) {
    .main-content .part-gallery h3.album-images + .content {
        padding-top:56px;
    }
}

@media only screen and (max-width:479px) {
    body.album .main-content .part-gallery h1.component-heading {
        font-size:24px;
    }
}

@media only screen and (min-width:1324px) {
    body.album .main-content .part-gallery h1.component-heading {
        font-size:1.875vw;
    }
}

/* content general end */

/* content albums */

.main-content .part-gallery .content-galleries {
    display:grid;
    grid-template-columns: repeat(2,1fr);
    grid-gap:32px;
}

.main-content .part-gallery .content-galleries .gallery-album {
    margin-bottom:24px;
}

.main-content .part-gallery .content-galleries .clear {
    display:none;
}

.main-content .part-gallery .details .items {
    right:8px;
}

.main-content .part-gallery .details a {
    color:var(--pri);
    background-color:#ffffff;
    padding-bottom:0;
}

@media only screen and (max-width:993px) {
    .main-content .part-gallery .content-galleries {
        display:block;
    }
}

@media only screen and (min-width:1324px) {
    .main-content .part-gallery .content-galleries {
        grid-gap:1.667vw;
    }
    
    .main-content .part-gallery .details .items {
        right:8px;
    }
}

/* content albums end */

/* content images */

.main-content .part-gallery .content {
    column-count:3;
    column-gap:32px;
}

.main-content .part-gallery .content > .gallery-image {
    margin-bottom:32px;
    position:relative;
    transition:0.5s;
    box-shadow:0 0 0 rgba(0,0,0,0.2);
}

.main-content .part-gallery .content > .gallery-image:hover {
    transform:scale(1.02,1.02);
    box-shadow:0 10px 10px rgba(0,0,0,0.2);
} 

.main-content .part-gallery .gallery-image img {
    display:block;
}

.main-content .part-gallery .content > .gallery-image .video {
    position:absolute;
    z-index:10;
    top:50%;
    left:50%;
    transform:translatex(-50%) translatey(-50%);
    width:48px;
    height:48px;
    background-repeat:no-repeat;
    background-size:contain;
    background-image:url('../gfx/play.svg');
    opacity:0.5;
    transition:0.5s;
}

.main-content .part-gallery .content > .gallery-image:hover .video {
    opacity:0.75;
}

@media only screen and (max-width:1323px) {
    .main-content .part-gallery .content {
        column-count:2;
    }
}

@media only screen and (max-width:994px) {
    .main-content .part-gallery .content {
        column-count:1;
    }
}

@media only screen and (max-width:479px) {
    .main-content .part-gallery .content {
        column-count:1;
    }
}

@media only screen and (min-width:1324px) {
    .main-content .part-gallery .content {
        column-gap:1.667vw;
    }
    
    .main-content .part-gallery .content > .gallery-image {
        margin-bottom:1.667vw;
    }
    
    .main-content .part-gallery .content > .gallery-image .video {
        width:2.5vw;
        height:2.5vw;
    }
}

/* content images end */

/* kezdolap */

body > .part-gallery {
    padding-bottom:calc(var(--pad) / 2);
}

body > .part-gallery .pager-bottom {
    display:none;
}

@media only screen and (max-width:993px) {
    body > .part-gallery {
        padding-top:var(--pad_mob);
    }
}

/* kezdolap end */

/* elso 3 elem kivul esik slick slideren */

.part-gallery.slides.nofirst3 .content-galleries > .gallery-album:nth-of-type(-n+3) {
    padding-left:0;
    padding-right:0;
}

.part-gallery.slides.nofirst3 .content-galleries .gallery-album {
    display:none;
}

.part-gallery.slides.nofirst3 .content-galleries .gallery-album:nth-of-type(-n+3),
.part-gallery.slides.nofirst3 .content-galleries .slick-list .gallery-album {
    display:block;
}

@media only screen and (min-width:1324px) {
    body > .part-gallery.slides.nofirst3 .content-galleries {
        display:grid;
        grid-template-columns: repeat(3, 1fr);
        gap:2.5vw;
        padding-left:24px;
        padding-right:24px;
        
    }
    
    body > .part-gallery.slides.nofirst3 .content-galleries .slick-list {
        grid-column: 1 / -1;
        margin-left:-24px;
        margin-right:-24px;
    }
}

@media only screen and (min-width:994px) and (max-width:1323px) {
    body > .part-gallery.nofirst3 .content-galleries {
        display:grid;
        grid-template-columns: repeat(2, 1fr);
        gap:48px;
        padding-left:24px;
        padding-right:24px;
    }
    
    body > .part-gallery.nofirst3 .content-galleries .slick-list {
        grid-column: 1 / -1;
        margin-left:-24px;
        margin-right:-24px;
    }
}

@media only screen and (max-width:993px) {
    .part-gallery.slides.nofirst3 .content-galleries > .gallery-album:nth-child(-n+10) {
        display:block;
    }
}

/* elso 3 elem kivul esik slick slideren end */

/* result content */

div.part-gallery .component-body:has(.result-content) {
    display:grid;
    grid-template-columns: repeat(3, 1fr);
    gap:32px;
}

div.part-gallery .component-body .result-content {
    background-color:#ffffff;
    box-shadow:0 0 10px rgba(0,0,0,0.2);
    transition:0.5s;
}

div.part-gallery .component-body .result-content:hover {
    box-shadow:0 10px 10px rgba(0,0,0,0.2);
}

div.part-gallery .component-body .result-content a {
    height:100%;
    padding:32px 32px 32px 70px;
    display:block;
    color:var(--pri);
    background-repeat:no-repeat;
    background-image:url('../gfx/items_result.svg');
    background-size:24px;
    background-position:24px 34px;
}

@media only screen and (min-width:1324px) {
    div.part-gallery .component-body:has(.result-content) {
        gap:1.667vw;
    }
    
    div.part-gallery .component-body .result-content:hover {
        box-shadow:0 0.5vw 0.5vw rgba(0,0,0,0.2);
    }
    
    div.part-gallery .component-body .result-content a {
        padding:1.667vw 1.667vw 1.667vw 3.646vw;
        background-size:1.25vw;
        background-position:1.25vw 1.771vw;
    }
}

@media only screen and (max-width:993px) {
    div.part-gallery .component-body:has(.result-content) {
        grid-template-columns: repeat(1, 1fr);
        gap:10px;
    }
    
    div.part-gallery .component-body .result-content a {
        padding:10px 10px 10px 64px;
        background-position:24px 12px;
    }
}

/* result content end */



/* media */


@keyframes flyblocks_video {
    0% {
        bottom:0;
        left:0;
        width:100%;

        transform:translatex(0);
    }
    100% {
        bottom:50%;
        width:30%;

        left:50%;
        transform:translatex(-50%);
    }
}

@keyframes flyblocks_img1 {
    0% {
        bottom:100%;
        left:-33%;
    }
    100% {
        bottom:50%;
        left:5%;
    }
}

@keyframes flyblocks_img2 {
    0% {
        top:100%;
        left:-33%;
    }
    100% {
        top:50%;
        left:5%;
    }
}

@keyframes flyblocks_img3 {
    0% {
        top:100%;
        right:50%;
    }
    100% {
        top:50%;
        right:50%;
    }
}

@keyframes flyblocks_img4 {
    0% {
        bottom:100%;
        right:-33%;
    }
    100% {
        bottom:50%;
        right:5%;
    }
}

@keyframes flyblocks_img5 {
    0% {
        top:100%;
        right:-33%;
    }
    100% {
        top:50%;
        right:5%;
    }
}

/* item spec */

div.part-gallery.media {
    background-color:var(--pri);
}

div.part-gallery.media .content > * {
    display:none;
}

div.part-gallery.media .content > div:nth-of-type(-n+5) {
    display:block;
}

div.part-gallery.media .pager-bottom {
    display:none;
}

div.part-gallery.media .gallery-image .vdate {
    font-family:'Acumin';
    font-size:24px;
    line-height:30px;
    
}

/* item spec end */

@media only screen and (min-width:1324px) {

    .part-gallery.media {
        padding:0 !important;
        position:relative;
    }

    .part-gallery.media h1.component-heading,
    .part-gallery.media h2.component-heading {
        position:absolute;
        z-index:21;
        top:calc(var(--pad) * 2);
        left:calc((100% - var(--pw)) / 2);
        margin-left:auto;
        margin-right:auto;
        color:#ffffff;
    }
    
    body.album .main-content .part-gallery.media h1.component-heading,
    body.album .main-content .part-gallery.media h2.component-heading {
        font-size: 3.2vw;
        line-height: 1.2;
    }
    
    .part-gallery.media h1.component-heading::after {
        content:"Videók";
        display:block;
        position:absolute;
        top:0;
        left:0;
        text-indent:0;
    }
    
    div.part-gallery.media .gallery-image .vdate {
        padding:1vw 1vw 0.5vw 1vw;
        background-color:rgba(0,0,0,0.7);
        font-size:1.2vw;
        letter-spacing:0.05vw;
    }
    
    /* scroll alap! */

    .part-gallery.media.flyblocks {
        height:2600px;
        position:relative;
    }

    .part-gallery.media.flyblocks .component-body {
        overflow:hidden;
        position:absolute;
        left:0;
        width:100%;
    }

    .part-gallery.media.flyblocks.in-view .component-body {
        position:fixed;
        z-index:20;
        top:0;
        left:0;
        width:100%;

    }

    /* anim */

    .part-gallery.media.flyblocks .gallery-image,
    .part-gallery.media.flyblocks .com-content video {
        animation-duration:2s;
        animation-timing-function:ease;
        animation-play-state:paused;
        animation-fill-mode:forwards;
        position:absolute;
        z-index:3;

    }

    .part-gallery.media.flyblocks .gallery-image {
        z-index:3;
    }

    .part-gallery.media.flyblocks .com-content video {
        position:absolute;
        z-index:2;
        animation-name:flyblocks_video;
    }



    /* scroll opcionalis */

    .part-gallery.media.flyblocks .component-body * {
        margin:0;
        padding:0;
    }

    .part-gallery.media.flyblocks .com-content {
        
    }

    .part-gallery.media.flyblocks .com-content video {
        aspect-ratio:16/9;
        width:100%;
        height:auto !important;
        object-fit:cover;
        object-position:center center;
    }

    .part-gallery.media.flyblocks .gallery-image {
        width:30%;
        aspect-ratio:16/9;
        overflow:hidden;
    }

    .part-gallery.media.flyblocks div.gallery-image:nth-of-type(1) {
        animation-name:flyblocks_img1;
    }

    .part-gallery.media.flyblocks div.gallery-image:nth-of-type(2) {
        animation-name:flyblocks_img2;
    }

    .part-gallery.media.flyblocks div.gallery-image:nth-of-type(3) {
        animation-name:flyblocks_img3;
        transform:translatex(50%);
    }

    .part-gallery.media.flyblocks div.gallery-image:nth-of-type(4) {
        animation-name:flyblocks_img4;
    }

    .part-gallery.media.flyblocks div.gallery-image:nth-of-type(5) {
        animation-name:flyblocks_img5;
    }

    /* item spec */

    .part-gallery.media.flyblocks .gallery-image {
        transition:0.5s;
        box-shadow:0 0 0 rgba(0,0,0,0.8);
    }

    .part-gallery.media.flyblocks .gallery-image:hover {
        z-index:14;
        transform:scale(1.05,1.05);
        box-shadow:0 0 2vw rgba(0,0,0,0.8);
    }

    .part-gallery.media.flyblocks div.gallery-image:nth-of-type(3):hover {
        transform:scale(1.05,1.05) translatex(47.5%);
    }

    /* item spec end */

}

@media only screen and (max-width:1323px) {
    .part-gallery.media {
        padding-bottom:var(--pad);
        background-color:var(--pri);
    }

    .part-gallery.media h1.component-heading,
    .part-gallery.media h2.component-heading {
        width:960px;
        margin-left:auto;
        margin-right:auto;
        position:static;
    }
    
    body.album .main-content .part-gallery.media h1.component-heading,
    body.album .main-content .part-gallery.media h2.component-heading {
        margin-bottom:46px;
        font-size:56px;
    }

    .part-gallery.media .component-body {
        height:auto !important;
        width:960px;
        margin-left:auto;
        margin-right:auto;
    }
    
    .part-gallery.media .com-content h2 {
        margin-bottom:var(--pad_mob);
    }

    .part-gallery.media .com-content video {
        display:none;
    }

    .part-gallery.media .gallery-image {
        margin-bottom:20px;
    }

}

@media only screen and (max-width:993px) {
    
    .part-gallery.media {
        padding-top:var(--pad_mob);
        padding-bottom:var(--pad_mob);
    }
    
    body.album .main-content .part-gallery.media h1.component-heading,
    body.album .main-content .part-gallery.media h2.component-heading {
        margin-bottom:32px;
    }
    
    .part-gallery.media h1.component-heading,
    .part-gallery.media h2.component-heading,
    .part-gallery.media .component-body {
        width:624px;
    }
}

@media only screen and (max-width:639px) {
    .part-gallery.media h1.component-heading,
    .part-gallery.media h2.component-heading,
    .part-gallery.media .component-body {
        width:auto;
        padding-left:24px;
        padding-right:24px;
    }
    
    div.part-gallery.media .gallery-image .vdate {
        font-size:18px;
        line-height:24px;
        padding:10px;
    }

}

@media only screen and (maxwidth:479px) {
    
}


/* media end */
